# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/providers/{name_arg}`

Gets a specific authentication provider.
 The caller must supply the name of the provider, and must either be a metastore admin or the owner of the provider.

API scopes: sharing

## Path parameters

- `name_arg` (string, optional)
  Name of the provider.

## Returns

Returns the ProviderInfo object.

## Response

```json
{
  "name": "string",
  "authentication_type": "string",
  "recipient_profile_str": "string",
  "comment": "string",
  "owner": "string",
  "recipient_profile": {
    "share_credentials_version": 0,
    "endpoint": "string",
    "bearer_token": "string"
  },
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "cloud": "string",
  "region": "string",
  "metastore_id": "string",
  "data_provider_global_metastore_id": "string"
}
```

